> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload image or datasheet for device

> Operacion: Upload image or datasheet for device.



## OpenAPI

````yaml /generated/specs/sales.json post /api/v1/quoter/devices/{id}/upload
openapi: 3.0.0
info:
  title: Raul API - Ventas
  description: >-
    Cotizaciones, pipeline, outreach comercial, equipos cotizables y ventas de
    equipamiento.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/quoter/devices/{id}/upload:
    post:
      tags:
        - Quoter - Devices
      summary: Upload image or datasheet for device
      description: 'Operacion: Upload image or datasheet for device.'
      operationId: DevicesController_uploadFile
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                fileType:
                  type: string
                  enum:
                    - image
                    - datasheet
      responses:
        '200':
          description: File uploaded successfully
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````